org.eclipse.rdf4j.http.client.query

## Class AbstractHTTPQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractQuery
    - - org.eclipse.rdf4j.http.client.query.AbstractHTTPQuery

- All Implemented Interfaces:
    Operation, Query
  Direct Known Subclasses:
    HTTPBooleanQuery, HTTPGraphQuery, HTTPTupleQuery, SPARQLBooleanQuery, SPARQLGraphQuery, SPARQLTupleQuery

      public abstract class AbstractHTTPQuery
      extends AbstractQuery

  Base class for any `Query` operation over HTTP.
  Author:
    Andreas Schwarte

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `baseURI`
    `protected QueryLanguage` | `queryLanguage`
    `protected String` | `queryString`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractHTTPQuery(SPARQLProtocolSession httpClient, QueryLanguage queryLanguage, String queryString, String baseURI)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Binding[]` | `getBindingsArray()`
    `protected SPARQLProtocolSession` | `getHttpClient()`
    `void` | `setMaxExecutionTime(int maxExecutionTimeSeconds)` Specifies the maximum time that an operation is allowed to run.
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractQuery

      `getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Query

      `explain`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred`

- - ### Field Detail

    - #### queryLanguage

          protected final QueryLanguage queryLanguage

    - #### queryString

          protected final String queryString

    - #### baseURI

          protected final String baseURI

  - ### Constructor Detail

    - #### AbstractHTTPQuery

          protected AbstractHTTPQuery(SPARQLProtocolSession httpClient,
                                      QueryLanguage queryLanguage,
                                      String queryString,
                                      String baseURI)

  - ### Method Detail

    - #### getHttpClient

          protected SPARQLProtocolSession getHttpClient()

      Returns:
        Returns the `SPARQLProtocolSession` to be used for all HTTP based interaction

    - #### getBindingsArray

          public Binding[] getBindingsArray()

    - #### setMaxExecutionTime

          public void setMaxExecutionTime(int maxExecutionTimeSeconds)

      Description copied from interface: `Operation`
      Specifies the maximum time that an operation is allowed to run. The operation will be interrupted when it exceeds the time limit. Any consecutive requests to fetch query results will result in `QueryInterruptedException`s or `UpdateExecutionException`s (depending on whether the operation is a query or an update).
      Specified by:
        `setMaxExecutionTime` in interface `Operation`
      Overrides:
        `setMaxExecutionTime` in class `AbstractOperation`
      Parameters:
        `maxExecutionTimeSeconds` - The maximum query time, measured in seconds. A negative or zero value indicates an unlimited execution time (which is the default).

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.